hmt-0.15: Haskell Music Theory

Safe Haskell | Safe
Language | Haskell98

Music.Theory.Tuning.Riley

Description

Terry Riley.

Synopsis

- riley_albion_r :: [Rational]
- riley_albion :: Tuning

# Documentation

riley_albion_r :: [Rational] Source #

Ratios for `riley_albion`.

    let r = [0,112,204,316,386,498,610,702,814,884,996,1088]
    in map (round . ratio_to_cents) riley_albion_r == r

riley_albion :: Tuning Source #

Riley's five-limit tuning as used in _The Harp of New Albion_, see http://www.ex-tempore.org/Volx1/hudson/hudson.htm.

    cents_i riley_albion == [0,112,204,316,386,498,610,702,814,884,996,1088]